QOF: QofBookMergeData Struct Reference

QOF 0.7.5

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
QofBookMergeData Struct Reference
Query Object Framework » Merge: Merging QofBook structures

mergeData contains the essential context data for any merge. More...

`#include <qofbookmerge.h>`

## Data Fields
GSList * | mergeObjectParams
GList * | mergeList
GSList * | targetList
QofBook * | mergeBook
QofBook * | targetBook
gboolean | abort
QofBookMergeRule * | currentRule
GSList * | orphan_list
GHashTable * | target_table

## Detailed Description

mergeData contains the essential context data for any merge.

Used to dictate what to merge, how to merge it, where to get the new data and where to put the amended data.

Combines lists of ::QofParam, QofEntity and QofBookMergeRule into one struct that can be easily passed between callbacks. Also holds the pointers to the import and target QofBook structures.

- targetList and mergeObjectParams change each time a new object type is set for compare.
- mergeList is the complete list of rules for all objects in the import book.

Definition at line 209 of file qofbookmerge.h.

## Field Documentation

gboolean QofBookMergeData::abort

set to TRUE if MERGE_INVALID is set.

Definition at line 221 of file qofbookmerge.h.

QofBookMergeRule* QofBookMergeData::currentRule

placeholder for the rule currently being tested or applied.

Definition at line 222 of file qofbookmerge.h.

QofBook* QofBookMergeData::mergeBook

pointer to the import book for this merge operation.

Definition at line 217 of file qofbookmerge.h.

GList* QofBookMergeData::mergeList

GList of all qof_book_mergeRule rules for the merge operation.

Definition at line 213 of file qofbookmerge.h.

GSList* QofBookMergeData::mergeObjectParams

GSList of ::QofParam details for each parameter in the current object.

Definition at line 211 of file qofbookmerge.h.

GSList* QofBookMergeData::orphan_list

List of QofEntity's that need to be rematched.

When one QofEntity has a lower difference to the targetEnt than the previous best_match, the new match takes precedence. This list holds those orphaned entities that are not a good enough match so that these can be rematched later. The ranking is handled using the private QofEntityRating struct and the GHashTable QofBookMergeData::target_table.

Definition at line 224 of file qofbookmerge.h.

GHashTable* QofBookMergeData::target_table

The GHashTable to hold the QofEntityRating values.

Definition at line 232 of file qofbookmerge.h.

QofBook* QofBookMergeData::targetBook

pointer to the target book for this merge operation.

Definition at line 219 of file qofbookmerge.h.

GSList* QofBookMergeData::targetList

GSList of QofEntity * for each object of this type in the target book

Definition at line 215 of file qofbookmerge.h.

The documentation for this struct was generated from the following file:

- qofbookmerge.h